LOCAL_PATH := $(call my-dir)


####################################################################################################


# Build the k9mail-library module
include $(CLEAR_VARS)

LOCAL_MODULE := k9mail-library

LOCAL_MANIFEST_FILE := k9mail-library/src/main/AndroidManifest.xml

LOCAL_SRC_FILES := \
    $(call all-java-files-under, k9mail-library/src/main)

LOCAL_AAPT_FLAGS := \
    --auto-add-overlay \
    --extra-packages com.jakewharton.timber:timber

LOCAL_STATIC_JAVA_LIBRARIES += \
    android-support-annotations \
    apache-mime4j-core \
    apache-mime4j-dom \
    okio \
    commons-io \
    jzlib \
    jutf7

LOCAL_STATIC_JAVA_AAR_LIBRARIES := timber

include $(BUILD_STATIC_JAVA_LIBRARY)


####################################################################################################


# Build the HoloColorPicker module
include $(CLEAR_VARS)

LOCAL_MODULE := HoloColorPicker

LOCAL_MANIFEST_FILE := plugins/HoloColorPicker/AndroidManifest.xml

LOCAL_SRC_FILES := \
    $(call all-java-files-under, plugins/HoloColorPicker/src)

LOCAL_RESOURCE_DIR := $(LOCAL_PATH)/plugins/HoloColorPicker/res

include $(BUILD_STATIC_JAVA_LIBRARY)


####################################################################################################


# Build the openpgp-api module
include $(CLEAR_VARS)

LOCAL_MODULE := openpgp-api

LOCAL_MANIFEST_FILE := plugins/openpgp-api-lib/openpgp-api/src/main/AndroidManifest.xml

LOCAL_SRC_FILES := \
    $(call all-java-files-under, plugins/openpgp-api-lib/openpgp-api/src/main) $(call all-Iaidl-files-under, plugins/openpgp-api-lib/openpgp-api/src/main)

LOCAL_AIDL_INCLUDES := $(call all-Iaidl-files-under, plugins/openpgp-api-lib/openpgp-api/src/main)

LOCAL_RESOURCE_DIR := $(LOCAL_PATH)/plugins/openpgp-api-lib/openpgp-api/src/main/res

include $(BUILD_STATIC_JAVA_LIBRARY)


####################################################################################################


# Build everything and generate the APK
include $(CLEAR_VARS)

LOCAL_MODULE_TAGS := optional

LOCAL_PACKAGE_NAME := Mail

LOCAL_CERTIFICATE := platform
LOCAL_DEX_PREOPT := false

LOCAL_PROGUARD_ENABLED := disabled

LOCAL_MANIFEST_FILE := k9mail/src/main/AndroidManifest.xml

LOCAL_RESOURCE_DIR := $(LOCAL_PATH)/k9mail/src/main/res

LOCAL_SRC_FILES := \
    $(call all-java-files-under, k9mail/src/main)

LOCAL_STATIC_JAVA_AAR_LIBRARIES := ckchangelog \
        tokenautocomplete \
        safe-content-resolver-v14 \
        library \
        timber

LOCAL_STATIC_JAVA_LIBRARIES += \
    android-support-v4 \
    kotlin-stdlib-jre7 \
    okio \
    commons-io \
    jsoup \
    glide \
    moshi \
    jcip-annotations

LOCAL_SDK_VERSION := current

LOCAL_AAPT_FLAGS := \
    --auto-add-overlay \
    --extra-packages de.cketti.library.changelog:ckchangelog \
    --extra-packages com.splitwise:tokenautocomplete \
    --extra-packages de.cketti.safecontentresolver:safe-content-resolver-v14 \
    --extra-packages com.github.amlcurran.showcaseview:library \
    --extra-packages com.jakewharton.timber:timber

include $(BUILD_PACKAGE)


####################################################################################################


include $(CLEAR_VARS)

LOCAL_PREBUILT_STATIC_JAVA_LIBRARIES := apache-mime4j-core:libs/apache-mime4j-core-0.8.1.jar \
apache-mime4j-dom:libs/apache-mime4j-dom-0.8.1.jar \
ckchangelog:libs/ckchangelog-1.2.1.aar \
commons-io:libs/commons-io-2.4.jar \
glide:libs/glide-3.6.1.jar \
jcip-annotations:libs/jcip-annotations-1.0.jar \
jsoup:libs/jsoup-1.11.2.jar \
jutf7:libs/jutf7-1.0.0.jar \
jzlib:libs/jzlib-1.0.7.jar \
kotlin-stdlib:libs/kotlin-stdlib-1.1.4-3.jar \
kotlin-stdlib-jre7:libs/kotlin-stdlib-jre7-1.1.4-3.jar \
library:libs/library-5.4.1.aar \
moshi:libs/moshi-1.2.0.jar \
okio:libs/okio-1.11.0.jar \
pg:libs/pg-1.51.0.0.jar \
safe-content-resolver-v14:libs/safe-content-resolver-v14-0.9.0.aar \
timber:libs/timber-4.5.1.aar \
tokenautocomplete:libs/tokenautocomplete-2.0.7.aar

include $(BUILD_MULTI_PREBUILT)


####################################################################################################


include $(call all-makefiles-under,$(LOCAL_PATH))
