# Add project specific ProGuard rules here.

-dontobfuscate

# Preserve the line number information for debugging stack traces.
-keepattributes SourceFile,LineNumberTable

# Library specific rules
-dontnote android.net.http.*
-dontnote org.apache.commons.codec.**
-dontnote org.apache.http.**
-dontnote com.squareup.moshi.**
-dontnote com.github.amlcurran.showcaseview.**
-dontnote de.cketti.safecontentresolver.**
-dontnote com.tokenautocomplete.**

-dontwarn okio.**
-dontwarn com.squareup.moshi.**

# This dnsjava class uses old Sun API
-dontnote org.xbill.DNS.spi.DNSJavaNameServiceDescriptor
-dontwarn org.xbill.DNS.spi.DNSJavaNameServiceDescriptor
-dontnote org.xbill.DNS.ResolverConfig

# See http://stackoverflow.com/questions/5701126, happens in dnsjava
-optimizations !code/allocation/variable

-dontwarn javax.annotation.**
-dontwarn retrofit2.Platform$Java8

# OkHttp
-dontwarn okio.**
-dontwarn com.squareup.okhttp3.**
-dontwarn javax.annotation.Nullable
-dontwarn javax.annotation.ParametersAreNonnullByDefault
-dontnote okhttp3.internal.**

# Project specific rules
-dontnote foundation.e.mail.PRNGFixes
-dontnote foundation.e.mail.ui.messageview.**
-dontnote foundation.e.mail.view.**

-keep class * implements android.os.Parcelable {
  public static final android.os.Parcelable$Creator *;
}

-keep public class org.openintents.openpgp.**

# Kotlin
-keep class kotlin.Metadata { *; }
-dontnote kotlin.internal.**
-dontnote kotlin.reflect.jvm.internal.**

-dontnote sun.misc.Unsafe

-dontwarn java.lang.management.**

-dontnote junit.framework.**
-dontnote junit.runner.**

-dontwarn android.test.**
