package foundation.e.mail.controller.imap;


import android.content.Context;

import foundation.e.mail.Account;
import foundation.e.mail.controller.MessagingController;
import foundation.e.mail.controller.MessagingListener;
import foundation.e.mail.controller.RemoteMessageStore;
import foundation.e.mail.mail.Folder;
import foundation.e.mail.notification.NotificationController;


public class ImapMessageStore implements RemoteMessageStore {
    private final ImapSync imapSync;


    public ImapMessageStore(NotificationController notificationController, MessagingController controller,
            Context context) {
        this.imapSync = new ImapSync(notificationController, controller, context);
    }

    @Override
    public void sync(Account account, String folder, MessagingListener listener, Folder providedRemoteFolder) {
        imapSync.sync(account, folder, listener, providedRemoteFolder);
    }
}
